package com.heyu.api.data.dao.ai;
/**
* <p>
* AI智能体配置表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.ai.AiEngineEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface AiEngineDao extends BaseMapper<AiEngineEntity> {


	AiEngineEntity selectAiEngineById(@Param("id")Long id);


	Long insertAiEngine(AiEngineEntity aiEngine);


	Long insertOrUpdateAiEngine(AiEngineEntity aiEngine);


	int updateAiEngineById(AiEngineEntity aiEngine);


	int updateCoverAiEngineById(AiEngineEntity aiEngine);


	int deleteAiEngineById(@Param("id")Long id);


}